EDIT - feature request #9757

Make cultivars, cultivar groups and grexes parsable
09/14/2021 09:47 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal

Description

See http://www.actahort.org/chronica/pdf/sh_10.pdf

Allowed characters: Art. 21.18

Related issues:
Related to EDIT - feature request #9755: Open issues for cultivar handling

Related to EDIT - feature request #9761: Add cultivarGroup as field for handl...
Related to EDIT - feature request #9754: Adapt cache strategy to support cult...
Related to EDIT - feature request #9780: Split rank grex into grex (ICNCP) an...

In Progress
Closed
Closed
Closed

Associated revisions

Revision 7d2d06a9 - 09/14/2021 09:49 AM - Andreas Miiller

ref #9757 first implementation of cultivar parsing

Revision d9add188 - 09/14/2021 12:34 PM - Andreas Miiller

ref #9754 , ref #9757 further improve cultivar name parsing and formatting

Revision edd21192 - 09/14/2021 02:33 PM - Andreas Muller

ref #9757 further improve cultivar parsing

Revision 3ded2197 - 09/16/2021 11:01 AM - Andreas Miiller

ref #9757 fix cultivar group parser text encoding
Revision 446e5712 - 09/21/2021 07:33 PM - Andreas Miiller
ref #9757 improve cultivar parser

e parse with referencedName()

¢ include author parsing
e include nom. ref. parsing

Revision c03313e2 - 09/21/2021 08:05 PM - Andreas Miiller

ref #9757 fix cultivar parser test

Revision 12ffe453 - 09/21/2021 08:59 PM - Andreas Miiller

ref #9757 fix emptying name before parsing

Revision 9585c46e - 09/22/2021 12:04 PM - Andreas Miiller

ref #9778, ref #9755, ref #9754, ref # 9757 split grex and add new ranks lusus, subproles and subgrex

Revision 2f1d896d - 09/22/2021 05:57 PM - Andreas Miiller

ref #9757 add test for parsing into existing name

History

#1 - 09/14/2021 09:48 AM - Andreas Miiller
http://www.actahort.org/chronica/pdf/sh_10.pdf

- Related to feature request #9755: Open issues for cultivar handling added

#2 - 09/14/2021 03:46 PM - Andreas Miiller
- Description updated

#3 - 09/14/2021 04:37 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 40

#4 - 09/15/2021 02:00 PM - Andreas Miiller
- Related to feature request #9761: Add cultivarGroup as field for handling cultivar groups and grex added

#5 - 09/21/2021 01:56 PM - Andreas Miuller

- Status changed from In Progress to Resolved

Not yet fully resolved but set to resolved to not forget

#6 - 09/21/2021 02:17 PM - Andreas Miuller

- Target version changed from Release 5.45 to Release 5.27

#7 - 09/21/2021 10:18 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Target version changed from Release 5.27 to Release 5.45

- % Done changed from 40 to 100

This should be fixed. Only correct usage of rank grex needs discussion but is handled in generell cultivar ticket #9755

#8 - 09/21/2021 10:19 PM - Andreas Miiller
- Related to feature request #9754: Adapt cache strategy to support cultivar names added

#9 - 09/22/2021 02:35 PM - Andreas Miiller
AM:

Arti. 21.18 nennt die erlaubten Zeichen fur Kultivar-Epithete. Gelten diese Zeichen auch fiir Gruppen bzw. fir Grex oder sind diese nur auf die
lateinischen Zeichen begrenzt?

WGB:

Muss ich nachschlagen

#10 - 09/22/2021 02:37 PM - Andreas Miiller
- Related to feature request #9780: Split rank grex into grex (ICNCP) and grex (infraspec) added

#11 - 10/11/2021 10:16 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27
